org.eclipse.emf.cdo.spi.server

## Interface ICommitConflictResolver

- All Known Implementing Classes:
    ICommitConflictResolver.Merging

      public interface ICommitConflictResolver

  Since:
    4.8
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ICommitConflictResolver.Merging`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOChangeSetData` | `resolveConflicts(IStoreAccessor.CommitContext commitContext, java.util.List<InternalCDORevisionDelta> conflicts)` When this method is called, the `IStoreAccessor.CommitContext.getOldRevisions()` map is filled with the latest valid revisions, chunks ensured.

- - ### Method Detail

    - #### resolveConflicts

          CDOChangeSetData resolveConflicts(IStoreAccessor.CommitContext commitContext,
                                            java.util.List<InternalCDORevisionDelta> conflicts)

      When this method is called, the `IStoreAccessor.CommitContext.getOldRevisions()` map is filled with the latest valid revisions, chunks ensured.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html